/*
 * Copyright (c) 2011 Intel Corporation. All Rights Reserved.
 * Copyright (c) Imagination Technologies Limited, UK
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sub license, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.
 * IN NO EVENT SHALL PRECISION INSIGHT AND/OR ITS SUPPLIERS BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */


/******************************************************************************

 @File         msvdx_vec_mpeg2_reg_io2.h

 @Title        MSVDX Offsets

 @Platform     </b>\n

 @Description  </b>\n This file contains the MSVDX_VEC_MPEG2_REG_IO2_H Defintions.

******************************************************************************/
#if !defined (__MSVDX_VEC_MPEG2_REG_IO2_H__)
#define __MSVDX_VEC_MPEG2_REG_IO2_H__

#ifdef __cplusplus
extern "C" {
#endif


#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_OFFSET             (0x060C)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS0     FE_ALTERNATE_SCAN
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_ALTERNATE_SCAN_MASK             (0x00000200)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_ALTERNATE_SCAN_LSBMASK          (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_ALTERNATE_SCAN_SHIFT            (9)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS0     FE_Q_SCALE_TYPE
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_Q_SCALE_TYPE_MASK               (0x00000100)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_Q_SCALE_TYPE_LSBMASK            (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_Q_SCALE_TYPE_SHIFT              (8)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS0     FE_INTRA_DC_PRECISION
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_INTRA_DC_PRECISION_MASK         (0x000000C0)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_INTRA_DC_PRECISION_LSBMASK              (0x00000003)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_INTRA_DC_PRECISION_SHIFT                (6)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS0     FE_TOP_FIELD_FIRST
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_TOP_FIELD_FIRST_MASK            (0x00000020)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_TOP_FIELD_FIRST_LSBMASK         (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_TOP_FIELD_FIRST_SHIFT           (5)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS0     FE_CONCEALMENT_MOTION_VECTORS
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_CONCEALMENT_MOTION_VECTORS_MASK         (0x00000010)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_CONCEALMENT_MOTION_VECTORS_LSBMASK              (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_CONCEALMENT_MOTION_VECTORS_SHIFT                (4)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS0     FE_FRAME_PRED_FRAME_DCT
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_FRAME_PRED_FRAME_DCT_MASK               (0x00000008)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_FRAME_PRED_FRAME_DCT_LSBMASK            (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_FRAME_PRED_FRAME_DCT_SHIFT              (3)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS0     FE_PICTURE_STRUCTURE
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_PICTURE_STRUCTURE_MASK          (0x00000006)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_PICTURE_STRUCTURE_LSBMASK               (0x00000003)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_PICTURE_STRUCTURE_SHIFT         (1)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS0     FE_INTRA_VLC_FORMAT
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_INTRA_VLC_FORMAT_MASK           (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_INTRA_VLC_FORMAT_LSBMASK                (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS0_FE_INTRA_VLC_FORMAT_SHIFT          (0)

#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_OFFSET             (0x0610)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS1     FE_PICTURE_CODING_TYPE
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_PICTURE_CODING_TYPE_MASK                (0x00070000)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_PICTURE_CODING_TYPE_LSBMASK             (0x00000007)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_PICTURE_CODING_TYPE_SHIFT               (16)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS1     FE_F_CODE00
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE00_MASK           (0x0000F000)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE00_LSBMASK                (0x0000000F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE00_SHIFT          (12)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS1     FE_F_CODE01
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE01_MASK           (0x00000F00)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE01_LSBMASK                (0x0000000F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE01_SHIFT          (8)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS1     FE_F_CODE10
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE10_MASK           (0x000000F0)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE10_LSBMASK                (0x0000000F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE10_SHIFT          (4)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_PPS1     FE_F_CODE11
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE11_MASK           (0x0000000F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE11_LSBMASK                (0x0000000F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_PPS1_FE_F_CODE11_SHIFT          (0)

#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_OFFSET            (0x0614)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_SLICE     FE_LAST_IN_PICTURE
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_LAST_IN_PICTURE_MASK           (0x20000000)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_LAST_IN_PICTURE_LSBMASK                (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_LAST_IN_PICTURE_SHIFT          (29)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_SLICE     FE_FIRST_IN_ROW
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_FIRST_IN_ROW_MASK              (0x10000000)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_FIRST_IN_ROW_LSBMASK           (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_FIRST_IN_ROW_SHIFT             (28)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_SLICE     FE_SLICE_VERTICAL_POSITION_MINUS1
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_SLICE_VERTICAL_POSITION_MINUS1_MASK            (0x0FE00000)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_SLICE_VERTICAL_POSITION_MINUS1_LSBMASK         (0x0000007F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_SLICE_VERTICAL_POSITION_MINUS1_SHIFT           (21)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_FE_SLICE     FE_QUANTISER_SCALE_CODE
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_QUANTISER_SCALE_CODE_MASK              (0x001F0000)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_QUANTISER_SCALE_CODE_LSBMASK           (0x0000001F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_FE_SLICE_FE_QUANTISER_SCALE_CODE_SHIFT             (16)

#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SPS0_OFFSET             (0x0650)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_SPS0     BE_HORIZONTAL_SIZE_MINUS1
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SPS0_BE_HORIZONTAL_SIZE_MINUS1_MASK             (0x0000007F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SPS0_BE_HORIZONTAL_SIZE_MINUS1_LSBMASK          (0x0000007F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SPS0_BE_HORIZONTAL_SIZE_MINUS1_SHIFT            (0)

#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SPS1_OFFSET             (0x0654)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_SPS1     BE_VERTICAL_SIZE_MINUS1
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SPS1_BE_VERTICAL_SIZE_MINUS1_MASK               (0x0000007F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SPS1_BE_VERTICAL_SIZE_MINUS1_LSBMASK            (0x0000007F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SPS1_BE_VERTICAL_SIZE_MINUS1_SHIFT              (0)

#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_OFFSET             (0x0658)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS0     BE_FRAME_PRED_FRAME_DCT
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_FRAME_PRED_FRAME_DCT_MASK               (0x00000200)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_FRAME_PRED_FRAME_DCT_LSBMASK            (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_FRAME_PRED_FRAME_DCT_SHIFT              (9)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS0     BE_Q_SCALE_TYPE
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_Q_SCALE_TYPE_MASK               (0x00000100)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_Q_SCALE_TYPE_LSBMASK            (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_Q_SCALE_TYPE_SHIFT              (8)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS0     BE_INTRA_DC_PRECISION
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_INTRA_DC_PRECISION_MASK         (0x000000C0)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_INTRA_DC_PRECISION_LSBMASK              (0x00000003)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_INTRA_DC_PRECISION_SHIFT                (6)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS0     BE_FULL_PEL_BACKWARD
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_FULL_PEL_BACKWARD_MASK          (0x00000020)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_FULL_PEL_BACKWARD_LSBMASK               (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_FULL_PEL_BACKWARD_SHIFT         (5)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS0     BE_FULL_PEL_FORWARD
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_FULL_PEL_FORWARD_MASK           (0x00000010)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_FULL_PEL_FORWARD_LSBMASK                (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_FULL_PEL_FORWARD_SHIFT          (4)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS0     BE_ALTERNATE_SCAN
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_ALTERNATE_SCAN_MASK             (0x00000008)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_ALTERNATE_SCAN_LSBMASK          (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_ALTERNATE_SCAN_SHIFT            (3)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS0     BE_SPATIAL_TEMPORAL_WEIGHT_CODE_TABLE_INDEX
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_SPATIAL_TEMPORAL_WEIGHT_CODE_TABLE_INDEX_MASK           (0x00000006)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_SPATIAL_TEMPORAL_WEIGHT_CODE_TABLE_INDEX_LSBMASK                (0x00000003)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_SPATIAL_TEMPORAL_WEIGHT_CODE_TABLE_INDEX_SHIFT          (1)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS0     BE_SPATIAL_TEMPORAL_SCALABLE_FLAG
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_SPATIAL_TEMPORAL_SCALABLE_FLAG_MASK             (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_SPATIAL_TEMPORAL_SCALABLE_FLAG_LSBMASK          (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS0_BE_SPATIAL_TEMPORAL_SCALABLE_FLAG_SHIFT            (0)

#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_OFFSET             (0x065C)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS1     BE_F_CODE00
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE00_MASK           (0x0000F000)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE00_LSBMASK                (0x0000000F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE00_SHIFT          (12)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS1     BE_F_CODE01
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE01_MASK           (0x00000F00)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE01_LSBMASK                (0x0000000F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE01_SHIFT          (8)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS1     BE_F_CODE10
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE10_MASK           (0x000000F0)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE10_LSBMASK                (0x0000000F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE10_SHIFT          (4)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS1     BE_F_CODE11
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE11_MASK           (0x0000000F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE11_LSBMASK                (0x0000000F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS1_BE_F_CODE11_SHIFT          (0)

#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_OFFSET             (0x0660)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS2     BE_PICTURE_CODING_TYPE
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_PICTURE_CODING_TYPE_MASK                (0x00000070)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_PICTURE_CODING_TYPE_LSBMASK             (0x00000007)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_PICTURE_CODING_TYPE_SHIFT               (4)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS2     BE_TOP_FIELD_FIRST
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_TOP_FIELD_FIRST_MASK            (0x00000008)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_TOP_FIELD_FIRST_LSBMASK         (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_TOP_FIELD_FIRST_SHIFT           (3)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS2     BE_CONCEALMENT_MOTION_VECTORS
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_CONCEALMENT_MOTION_VECTORS_MASK         (0x00000004)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_CONCEALMENT_MOTION_VECTORS_LSBMASK              (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_CONCEALMENT_MOTION_VECTORS_SHIFT                (2)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_PPS2     BE_PICTURE_STRUCTURE
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_PICTURE_STRUCTURE_MASK          (0x00000003)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_PICTURE_STRUCTURE_LSBMASK               (0x00000003)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_PPS2_BE_PICTURE_STRUCTURE_SHIFT         (0)

#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_OFFSET            (0x0664)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_SLICE     BE_IP_PAIR_FLAG
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_IP_PAIR_FLAG_MASK              (0x00008000)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_IP_PAIR_FLAG_LSBMASK           (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_IP_PAIR_FLAG_SHIFT             (15)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_SLICE     BE_SECOND_FIELD_FLAG
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_SECOND_FIELD_FLAG_MASK         (0x00004000)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_SECOND_FIELD_FLAG_LSBMASK              (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_SECOND_FIELD_FLAG_SHIFT                (14)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_SLICE     BE_FIRST_IN_ROW
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_FIRST_IN_ROW_MASK              (0x00002000)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_FIRST_IN_ROW_LSBMASK           (0x00000001)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_FIRST_IN_ROW_SHIFT             (13)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_SLICE     BE_SLICE_VERTICAL_POSITION_MINUS1
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_SLICE_VERTICAL_POSITION_MINUS1_MASK            (0x00000FE0)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_SLICE_VERTICAL_POSITION_MINUS1_LSBMASK         (0x0000007F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_SLICE_VERTICAL_POSITION_MINUS1_SHIFT           (5)

// MSVDX_VEC_MPEG2     CR_VEC_MPEG2_BE_SLICE     BE_QUANTISER_SCALE_CODE
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_QUANTISER_SCALE_CODE_MASK              (0x0000001F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_QUANTISER_SCALE_CODE_LSBMASK           (0x0000001F)
#define MSVDX_VEC_MPEG2_CR_VEC_MPEG2_BE_SLICE_BE_QUANTISER_SCALE_CODE_SHIFT             (0)



#ifdef __cplusplus
}
#endif

#endif /* __MSVDX_VEC_MPEG2_REG_IO2_H__ */
